Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.mirror.declaration
Enum Modifier

    java.lang.Object
      java.lang.Enum<Modifier>
          com.sun.mirror.declaration.Modifier

All Implemented Interfaces:
  Serializable, Comparable<Modifier>

    public enum Modifier

extends Enum<Modifier>

Represents a modifier on the declaration of a program element such as a class, method, or field.

Not all modifiers are applicable to all kinds of declarations. When two or more modifiers appear in the source code of a declaration, then it is customary, though not required, that they appear in the same order as the constants listed in the detail section below.

Since:
  1.5

Enum Constant Summary
`ABSTRACT` The modifier `abstract`
`FINAL` The modifier `final`
`NATIVE` The modifier `native`
`PRIVATE` The modifier `private`
`PROTECTED` The modifier `protected`
`PUBLIC` The modifier `public`
`STATIC` The modifier `static`
`STRICTFP` The modifier `strictfp`
`SYNCHRONIZED` The modifier `synchronized`
`TRANSIENT` The modifier `transient`
`VOLATILE` The modifier `volatile`

Method Summary
`String` | `toString()` Returns this modifier's name in lowercase.
`static Modifier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Modifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUBLIC

    public static final Modifier PUBLIC

  The modifier `public`

### PROTECTED

    public static final Modifier PROTECTED

  The modifier `protected`

### PRIVATE

    public static final Modifier PRIVATE

  The modifier `private`

### ABSTRACT

    public static final Modifier ABSTRACT

  The modifier `abstract`

### STATIC

    public static final Modifier STATIC

  The modifier `static`

### FINAL

    public static final Modifier FINAL

  The modifier `final`

### TRANSIENT

    public static final Modifier TRANSIENT

  The modifier `transient`

### VOLATILE

    public static final Modifier VOLATILE

  The modifier `volatile`

### SYNCHRONIZED

    public static final Modifier SYNCHRONIZED

  The modifier `synchronized`

### NATIVE

    public static final Modifier NATIVE

  The modifier `native`

### STRICTFP

    public static final Modifier STRICTFP

  The modifier `strictfp`

Method Detail

### values

    public static Modifier[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Modifier c : Modifier.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Modifier valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Returns this modifier's name in lowercase.

  Overrides:
    `toString` in class `Enum<Modifier>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Report a bug or request a feature.
Copyright 2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.